public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pyparsing/
Date: Wed, 26 Jan 2022 11:32:34 +0000 (UTC)	[thread overview]
Message-ID: <1643195813.55e377fa4910ecfccfc8ee002706d588324ffc81.mgorny@gentoo> (raw)

commit:     55e377fa4910ecfccfc8ee002706d588324ffc81
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 26 11:08:49 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jan 26 11:16:53 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=55e377fa

dev-python/pyparsing: Use flit to ease bootstrap

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pyparsing/pyparsing-3.0.7-r1.ebuild | 60 ++++++++++++++++++++++++++
 1 file changed, 60 insertions(+)

diff --git a/dev-python/pyparsing/pyparsing-3.0.7-r1.ebuild b/dev-python/pyparsing/pyparsing-3.0.7-r1.ebuild
new file mode 100644
index 000000000000..7c5d85957f9a
--- /dev/null
+++ b/dev-python/pyparsing/pyparsing-3.0.7-r1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 2004-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+inherit distutils-r1
+
+MY_P=${P/-/_}
+DESCRIPTION="Easy-to-use Python module for text parsing"
+HOMEPAGE="https://github.com/pyparsing/pyparsing https://pypi.org/project/pyparsing/"
+SRC_URI="https://github.com/${PN}/${PN}/archive/${MY_P}.tar.gz"
+S="${WORKDIR}/${PN}-${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="examples"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+	# railroad-diagrams not packaged (and not suitable for packaging yet)
+	tests/test_diagram.py
+)
+
+EPYTEST_DESELECT=(
+	# also railroad-diagrams
+	tests/test_unit.py::Test02_WithoutPackrat::testEmptyExpressionsAreHandledProperly
+	tests/test_unit.py::Test04_WithPackrat::testEmptyExpressionsAreHandledProperly
+	tests/test_unit.py::Test06_WithBoundedPackrat::testEmptyExpressionsAreHandledProperly
+	tests/test_unit.py::Test08_WithUnboundedPackrat::testEmptyExpressionsAreHandledProperly
+	tests/test_unit.py::Test09_WithLeftRecursionParsing::testEmptyExpressionsAreHandledProperly
+	tests/test_unit.py::Test10_WithLeftRecursionParsingBoundedMemo::testEmptyExpressionsAreHandledProperly
+)
+
+src_configure() {
+	[[ -e pyproject.toml ]] &&
+		die "Upstream added pyproject.toml, recheck"
+	# write a custom pyproject.toml to ease setuptools bootstrap
+	cat > pyproject.toml <<-EOF || die
+		[build-system]
+		requires = ["flit_core >=3.2,<4"]
+		build-backend = "flit_core.buildapi"
+
+		[project]
+		name = "pyparsing"
+		dynamic = ["version", "description"]
+	EOF
+}
+
+python_install_all() {
+	if use examples; then
+		docompress -x /usr/share/doc/${PF}/examples
+		dodoc -r examples
+	fi
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2022-01-26 11:32 UTC|newest]

Thread overview: 84+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-01-26 11:32 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-06  2:30 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyparsing/ Michał Górny
2024-10-06  2:30 Michał Górny
2024-09-29 15:20 Michał Górny
2024-09-28 10:52 Michał Górny
2024-09-28 10:44 Arthur Zamarin
2024-09-25  4:39 Michał Górny
2024-09-13 17:56 Michał Górny
2024-09-13 13:47 Michał Górny
2024-08-26  4:23 Michał Górny
2024-05-18  8:09 Michał Górny
2024-03-22  4:38 Michał Górny
2024-03-21 17:51 Arthur Zamarin
2024-03-06 21:18 Michał Górny
2023-11-24 13:42 Michał Górny
2023-08-30  4:14 Sam James
2023-07-30 17:51 Michał Górny
2023-07-24  8:54 Jakov Smolić
2023-06-19  4:58 Michał Górny
2023-05-23 15:42 Michał Górny
2022-05-31  7:28 Michał Górny
2022-05-31  7:07 Jakov Smolić
2022-05-11  8:05 Michał Górny
2022-04-10  8:58 Michał Górny
2022-02-27 18:46 Michał Górny
2022-02-04 10:27 Michał Górny
2022-01-21  8:54 Arthur Zamarin
2021-12-12 21:32 Michał Górny
2021-12-12 20:16 Arthur Zamarin
2021-11-25  5:47 Sam James
2021-11-12 20:03 Michał Górny
2021-11-08  8:31 Michał Górny
2021-10-31  7:12 Michał Górny
2021-10-28  7:00 Michał Górny
2021-10-25  5:58 Michał Górny
2021-10-23 20:20 Michał Górny
2021-09-27  6:59 Michał Górny
2021-08-21 22:15 James Le Cuirot
2021-05-05 13:33 Michał Górny
2020-09-27 17:47 Michał Górny
2020-07-09 13:42 Michał Górny
2020-07-09  8:34 Agostino Sarubbo
2020-05-25 13:26 Michał Górny
2020-04-08 18:54 Sebastian Pipping
2020-03-28 18:03 Michał Górny
2020-03-28 18:03 Michał Górny
2020-03-25 15:42 Agostino Sarubbo
2020-03-25 15:27 Agostino Sarubbo
2020-03-25 14:17 Agostino Sarubbo
2020-03-25 12:36 Agostino Sarubbo
2020-03-25 12:23 Agostino Sarubbo
2020-01-31  7:52 Tim Harder
2019-05-11 19:25 Matthew Thode
2019-04-12  5:01 Tim Harder
2019-03-17  1:51 Mike Gilbert
2019-03-17  1:51 Mike Gilbert
2019-01-02 21:29 Tim Harder
2017-09-30  0:00 Matt Thode
2017-05-18 20:00 Michael Weber
2017-05-18 19:14 Michael Weber
2017-05-12 17:56 Tobias Klausmann
2017-05-12 14:55 Agostino Sarubbo
2017-05-06 11:13 Jeroen Roovers
2017-05-06  7:28 Markus Meier
2017-05-03 12:18 Michał Górny
2017-03-26  4:16 Matt Thode
2017-03-09 15:54 Michael Haubenwallner
2017-01-31 16:14 Mike Gilbert
2016-10-26 22:31 Tim Harder
2016-09-12 17:06 Tim Harder
2016-09-05 21:44 Manuel Rüger
2016-07-12 17:30 Tim Harder
2016-02-09 12:19 Justin Lecher
2016-02-08 18:40 Justin Lecher
2015-12-31 13:09 Justin Lecher
2015-11-17 11:03 Justin Lecher
2015-10-30 13:14 Justin Lecher
2015-10-29 10:44 Justin Lecher
2015-10-29 10:44 Justin Lecher
2015-10-26  6:32 Jeroen Roovers
2015-10-26  6:01 Jeroen Roovers
2015-10-23  9:05 Agostino Sarubbo
2015-10-19 16:56 Justin Lecher
2015-10-15 14:41 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1643195813.55e377fa4910ecfccfc8ee002706d588324ffc81.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox